MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029959Open CASCADE[OCCT] OCCT:Codingpublic2018-07-14 14:122018-07-17 15:50
Reporterbugmaster 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatustestedResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 7.4.0* 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029959: Coding - new warnings after integration 29846
Description++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Project : IR-2018-07-13_IR-2018-07-13-OCCT-Windows-32-VC14-opt-compile
++++++++++++++++++++++++++++++++++++++++++++++++++++++++

New warnings appears: 1
 
Type : MSBuild
Category : C4456
File Name : C:/builds/IR-2018-07-13_IR-2018-07-13/Windows-32-VC14-opt/OCCT/src/XDEDRAW/XDEDRAW_Props.cxx
Line : 920
Message : declaration of aLabel hides previous local declaration



++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Project : IR-2018-07-13_IR-2018-07-13-OCCT-Windows-64-VC14-opt-compile
++++++++++++++++++++++++++++++++++++++++++++++++++++++++

New warnings appears: 1
 
Type : MSBuild
Category : C4456
File Name : C:/builds/IR-2018-07-13_IR-2018-07-13/Windows-64-VC14-opt/OCCT/src/XDEDRAW/XDEDRAW_Props.cxx
Line : 920
Message : declaration of aLabel hides previous local declaration
Steps To ReproduceBranch CR29959 is ready to be reviewed.
Results of tests can be found:
http://jenkins-test-11.nnov.opencascade.com:8080/view/CR29959-master-gka/view/COMPARE/ [^]
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0029846verifiedbugmaster Community Data Exchange - STEP validation properties support is obsolete 

-  Notes
(0077650)
git (administrator)
2018-07-16 12:09

Branch CR29959 has been created by gka.

SHA-1: 41f2a71daae991e7d02bac9ea84bf3e15cf7c0af


Detailed log of new commits:

Author: gka
Date: Mon Jul 16 12:08:00 2018 +0300

    0029959: Coding - new warnings after integration 29846
    
    Missing declaration of the TDF_Label in the line 920 was removed
(0077667)
kgv (developer)
2018-07-16 14:06
edited on: 2018-07-16 14:07

> Missing declaration of the TDF_Label in the line 920 was removed
"Missing" is confusing in this context...
Maybe "redundant"?

(0077670)
git (administrator)
2018-07-16 15:04

Branch CR29959 has been updated forcibly by gka.

SHA-1: 0b6793344c30573e9691d3088c461199327273bd
(0077671)
gka (developer)
2018-07-16 15:06

Commit message was corrected.
(0077672)
git (administrator)
2018-07-16 15:23

Branch CR29959 has been updated forcibly by kgv.

SHA-1: 17a7f6713a767ea98c88cc3cb6748c729be98c5c
(0077673)
git (administrator)
2018-07-16 15:23

Branch CR29959 has been updated forcibly by kgv.

SHA-1: 7e897654cb535123c9d514e661434d230971f083
(0077674)
kgv (developer)
2018-07-16 15:24

Please take the patch.
(0077740)
bugmaster (administrator)
2018-07-17 15:50

Warning was removed

- Issue History
Date Modified Username Field Change
2018-07-14 14:12 bugmaster New Issue
2018-07-14 14:12 bugmaster Assigned To => gka
2018-07-14 14:13 bugmaster Status new => assigned
2018-07-14 14:17 bugmaster Summary Cod ing - new warnings after integration 29846 => Coding - new warnings after integration 29846
2018-07-14 19:23 kgv Relationship added child of 0029846
2018-07-16 12:09 git Note Added: 0077650
2018-07-16 14:02 gka Assigned To gka => kgv
2018-07-16 14:02 gka Status assigned => resolved
2018-07-16 14:02 gka Steps to Reproduce Updated View Revisions
2018-07-16 14:06 kgv Note Added: 0077667
2018-07-16 14:06 kgv Assigned To kgv => gka
2018-07-16 14:06 kgv Status resolved => assigned
2018-07-16 14:06 kgv Note Edited: 0077667 View Revisions
2018-07-16 14:07 kgv Note Edited: 0077667 View Revisions
2018-07-16 15:04 git Note Added: 0077670
2018-07-16 15:06 gka Note Added: 0077671
2018-07-16 15:06 gka Assigned To gka => kgv
2018-07-16 15:06 gka Status assigned => resolved
2018-07-16 15:23 git Note Added: 0077672
2018-07-16 15:23 git Note Added: 0077673
2018-07-16 15:24 kgv Note Added: 0077674
2018-07-16 15:24 kgv Assigned To kgv => bugmaster
2018-07-16 15:24 kgv Status resolved => reviewed
2018-07-16 15:24 kgv Product Version => 7.4.0*
2018-07-17 15:50 bugmaster Note Added: 0077740
2018-07-17 15:50 bugmaster Status reviewed => tested


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker